API Documentation
=============================================================================================================

Implements API for IT4I SCS Information System.

- api revision: **9eb0678f / 2017-12-08 11:06:12 +0100**
- api version: **0.9-11-g9eb0678**
- apidoc building date: **2017-12-11 15:19:33 +0100**

Summary
-------------------------------------------------------------------------------------

<table>
<colgroup>
<col width="20%" />
<col width="40%" />
<col width="40%" />
</colgroup>
<thead>
<tr class="header">
<th>Resource</th>
<th>Operation</th>
<th>Description</th>
</tr>
</thead>
<tbody>
<tr class="odd">
<td>account-expire</td>
<td><a href="#get--api-v1-account-expire-(login)" class="reference external">GET /api/v1/account-expire/(login)</a></td>
<td>Account expiration date</td>
</tr>
<tr class="even">
<td>accounts-to-close</td>
<td><a href="#get--api-v1-accounts-to-close-(category)" class="reference external">GET /api/v1/accounts-to-close/(category)</a></td>
<td>Standard accounts close to expiration date</td>
</tr>
<tr class="odd">
<td>check-access</td>
<td><a href="#post--api-v1-check-access" class="reference external">POST /api/v1/check-access</a></td>
<td>Access check to queue</td>
</tr>
<tr class="even">
<td>dedicated-time</td>
<td><a href="#get--api-v1-dedicated-time-(cluster_type)" class="reference external">GET /api/v1/dedicated-time/(cluster_type)</a></td>
<td>HPC dedicated time</td>
</tr>
<tr class="odd">
<td>graph_affiliation_stats</td>
<td><a href="#get--api-v1-graph_affiliation_stats" class="reference external">GET /api/v1/graph_affiliation_stats</a></td>
<td>Graph affiliation statistics</td>
</tr>
<tr class="even">
<td>graph_research_area_stats</td>
<td><a href="#get--api-v1-graph_research_area_stats" class="reference external">GET /api/v1/graph_research_area_stats</a></td>
<td>Graph research area statistics</td>
</tr>
<tr class="odd">
<td>graph_utilization_stats</td>
<td><a href="#get--api-v1-graph_utilization_stats" class="reference external">GET /api/v1/graph_utilization_stats</a></td>
<td>Graph utilization statistics</td>
</tr>
<tr class="even">
<td>irregular-accounts-to-close</td>
<td><a href="#get--api-v1-irregular-accounts-to-close" class="reference external">GET /api/v1/irregular-accounts-to-close</a></td>
<td>Special accounts close to expiration date</td>
</tr>
<tr class="odd">
<td>it4ifree</td>
<td><a href="#post--api-v1-it4ifree-(login)" class="reference external">POST /api/v1/it4ifree/(login)</a></td>
<td>Free account resources</td>
</tr>
<tr class="even">
<td>it4ifreetoken</td>
<td><a href="#get--api-v1-it4ifreetoken-(login)" class="reference external">GET /api/v1/it4ifreetoken/(login)</a></td>
<td>Free account token</td>
</tr>
<tr class="odd">
<td>motd</td>
<td><a href="#get--api-v1-motd-(category)" class="reference external">GET /api/v1/motd/(category)</a></td>
<td>SCS messages of the day</td>
</tr>
<tr class="even">
<td>ping</td>
<td><a href="#get--api-v1-ping" class="reference external">GET /api/v1/ping</a></td>
<td>Connection test</td>
</tr>
<tr class="odd">
<td>quota-extra</td>
<td><a href="#get--api-v1-quota-extra" class="reference external">GET /api/v1/quota-extra</a></td>
<td>User extra quota</td>
</tr>
<tr class="even">
<td>version</td>
<td><a href="#get--api-v1-version" class="reference external">GET /api/v1/version</a></td>
<td>API version</td>
</tr>
</tbody>
</table>

API Details
---------------------------------------------------------------------------------------------

 **GET /api/v1/account-expire/**<span class="sig-paren">(</span>*login*<span class="sig-paren">)</span><a name="get--api-v1-account-expire-(login)" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

It returns the account expiration date. The account may participates on
several projects. If all projects were already finished, there will come
a time when the account expires as well. It will happen after:

- 365 days - for all standard accounts
- 31 days - for special (e.g. training) accounts

Query Parameters:

 

- **login** – account id

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 is not allowed

**Example request**:

    curl -i https://scs.it4i.cz/api/v1/account-expire/chr0139

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    [
      {
        "login": "chr0139",
        "projectendtime": "2019-07-25 21:59:59"
      }
    ]

<!-- -->

 **GET /api/v1/accounts-to-close/**<span class="sig-paren">(</span>*category*<span class="sig-paren">)</span><a name="get--api-v1-accounts-to-close-(category)" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

The standard account expires 365 days after the date when the last
project was finished. This service returns the list of standard accounts
which are close to the expiration date. The closeness time interval
depends on requested parameter.

Query Parameters:

 

- **first** – 93±2 days before expiration date
- **second** – 31±2 days before expiration date
- **third** – 7±2 days before expiration date

Response JSON Object:

 

- **fullname** (*string*) – user full name
- **login** (*string*) – account id
- **projectendtime** (*string*) – project end date
- **userclosetime** (*string*) – project end date shifted by
    272/334/358 days

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 address is not allowed

**Example request**:

    curl -i https://scs.it4i.cz/api/v1/accounts-to-close/second

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    [
      {
        "fullname": "Smith John",
        "login": "johnsm",
        "projectendtime": "2017-01-08 22:59:59",
        "userclosetime": "2017-11-09 22:59:59"
      }
    ]

<!-- -->

 **POST /api/v1/check-access**<a name="post--api-v1-check-access" class="headerlink" title="Permalink to this definition"></a>

A service to check if account and/or related project has the access to
specified queue.

Request JSON Object:

 

- **login** (*string*) – account id
- **queue** (*string*) – queue id
- **pid** (*string*) – project id, not required if querying
    projectless queue

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error

**Example request**:

    curl -i -H "Content-Type:application/json" -X POST \
      --data '{"pid":"DD-13-5","login":"johnsm","queue":"qfat"}' \
      https://scs.it4i.cz/api/v1/check-access

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

      "OK Access granted for regular queue."

<!-- -->

 **GET /api/v1/dedicated-time/**<span class="sig-paren">(</span>*cluster\_type*<span class="sig-paren">)</span><a name="get--api-v1-dedicated-time-(cluster_type)" class="headerlink" title="Permalink to this definition"></a>

Returns list of times dedicated for HPC maintainance. It is not possible
to use HPC services during maintainance.

Query Parameters:

 

- **all** – returns all dedicated times for all clusters
- **salomon** – returns all times just for salomon cluster
- **anselm** – returns all times just for anselm cluster
- **active** – returns dedicated times for all clusters which are now
    active
- **planned** – returns dedicated times for all clusters which are now
    active or scheduled in the future

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – invalid requested query parameter

**Example request**:

    curl -i curl https://scs.it4i.cz/api/v1/dedicated-time/all

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    [
      {
        "cluster_type": "salomon",
        "dateEfficiency": "2017-11-21 09:45:00",
        "dateExpiration": "2017-11-21 23:59:00",
        "updated_at": "2017-11-21 09:45:00"
      }
    ]

<!-- -->

 **GET /api/v1/graph_affiliation_stats**<a name="get--api-v1-graph_affiliation_stats" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

It returns graph data useful to plot statistics of using HPC by some
affiliations.

Query Parameters:

 

- **height** – optional, graph height in pixels, default 300
- **width** – optional, graph width in pixels, default 420
- **sizepct** – optional, graph size in percents, default 40

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 address is not allowed

**Example request**:

    curl -i -X GET --data height=50 -d sizepct=50 \
      -G https://scs.it4i.cz/api/v1/graph_affiliation_stats

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    "
      {
        chart: {
          plotBackgroundColor: null,
          plotBorderWidth: null,
          plotShadow: false,
          height: 50,
          width: 420,
        },
        credits: {
          text: 'IT4Innovations 2017-11-14 13:21'
        },
        title: {
          text: ''
        },
        exporting: {
          enabled: false
        },
        tooltip: {
          pointFormat: '{point.percentage:.1f} %'
        },
        plotOptions: {
          pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            size: '50%',
            startAngle: 315,
            dataLabels: {
              enabled: true,
              format: '{point.name}',
            }
          }
        },
        series: [
          {
            type: 'pie',
            data: [
              ['IT4Innovations', 143320459.886 ],
              ['Akademie věd ČR', 67329442.8672 ],
              ['CEITEC', 41987818.0711 ],
              ['Masarykova univerzita', 22767491.1453 ],
              ['VUT Brno', 18184662.5402 ],
              ['Univerzita Karlova', 15544836.8455 ],
              ['ČVUT', 12383341.426 ],
              ['Matematicko-fyzikální fakulta', 4583152.32333 ],
              ['Uppsala University', 4562701.04 ],
              ['Others', 36525837.5894 ],
            ]
          }
        ]
      }
    "

<!-- -->

 **GET /api/v1/graph_research_area_stats**<a name="get--api-v1-graph_research_area_stats" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

It returns graph data useful to plot statistics of using HPC by various
science fields.

Query Parameters:

 

- **height** – optional, graph height in pixels, default 300
- **width** – optional, graph width in pixels, default 420
- **sizepct** – optional, graph size in percents, default 40

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 address is not allowed

**Example request**:

    curl -i -X GET -G https://scs.it4i.cz/api/v1/graph_research_area_stats

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    "
      {
        chart: {
          plotBackgroundColor: null,
          plotBorderWidth: null,
          plotShadow: false,
          height: 300,
          width: 420,
        },
        credits: {
          text: 'IT4Innovations 2017-11-14 13:43'
        },
        title: {
          text: ''
        },
        exporting: {
          enabled: false
        },
        tooltip: {
          pointFormat: '{point.percentage:.1f} %'
        },
        plotOptions: {
          pie: {
            allowPointSelect: true,
            cursor: 'pointer',
            size: '40%',
            startAngle: 315,
            dataLabels: {
              enabled: true,
              format: '{point.name}',
            }
          }
        },
        series: [
          {
            type: 'pie',
            data: [
              ['Materials Science ', 205656805 ],
              ['Bio Sciences ', 65319185 ],
              ['Plasma & Particle Physics ', 21935334 ],
              ['Service', 20537970 ],
              ['Engineering ', 15691906 ],
              ['Informatics', 12335969 ],
              ['Applied Mathematics', 9458711 ],
              ['Earth Sciences ', 8804183 ],
              ['Astro Sciences ', 4229242 ],
              ['Other Research Areas', 2493851 ],
            ]
          }
        ]
      }
    "

<!-- -->

 **GET /api/v1/graph_utilization_stats**<a name="get--api-v1-graph_utilization_stats" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

It returns graph data to plot statistics of HPC week utilization during
last 100 days.

Query Parameters:

 

- **height** – optional, graph height in pixels, default 300
- **width** – optional, graph width in pixels, default 420
- **sizepct** – optional, graph size in percents, default 40

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 address is not allowed

**Example request**:

    curl -i -X GET -G https://scs.it4i.cz/api/v1/graph_utilization_stats

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    "
      {
        chart: {
          zoomType: 'x',
          plotBorderWidth: 0,
          borderWidth: 0,
          borderRadius: 0,
          borderColor: '#DDDDDD',
          height: 300,
          width: 420
        },
        series: [
          {
            name: 'Cores utilized',
            type: 'areaspline',
            data: [
              [ Date.UTC(2017,7,6), 18466],
              [ Date.UTC(2017,7,7), 18606],
              [ Date.UTC(2017,7,8), 19075],
              [ Date.UTC(2017,7,9), 19962],
              [ Date.UTC(2017,7,10), 20239],
              [ Date.UTC(2017,7,11), 20425],
              [ Date.UTC(2017,7,12), 20110],
              [ Date.UTC(2017,7,13), 19413],
              [ Date.UTC(2017,7,14), 20204],
              [ Date.UTC(2017,7,15), 20058],
              [ Date.UTC(2017,7,16), 19890],
              [ Date.UTC(2017,7,17), 18102],
              [ Date.UTC(2017,7,18), 18529],
              [ Date.UTC(2017,7,19), 18871],
              [ Date.UTC(2017,7,20), 18704],
              [ Date.UTC(2017,7,21), 17106],
              [ Date.UTC(2017,7,22), 17854],
              [ Date.UTC(2017,7,23), 19541],
              [ Date.UTC(2017,7,24), 19691],
              [ Date.UTC(2017,7,25), 19335],
              [ Date.UTC(2017,7,26), 20776],
              [ Date.UTC(2017,7,27), 20856],
              [ Date.UTC(2017,7,28), 21116],
              [ Date.UTC(2017,7,29), 21705],
              [ Date.UTC(2017,7,30), 17907],
              [ Date.UTC(2017,7,31), 18085],
              [ Date.UTC(2017,8,1), 18564],
              [ Date.UTC(2017,8,2), 17449],
              [ Date.UTC(2017,8,3), 17472],
              [ Date.UTC(2017,8,4), 17173],
              [ Date.UTC(2017,8,5), 14445],
              [ Date.UTC(2017,8,6), 17952],
              [ Date.UTC(2017,8,7), 18813],
              [ Date.UTC(2017,8,8), 17847],
              [ Date.UTC(2017,8,9), 16434],
              [ Date.UTC(2017,8,10), 14957],
              [ Date.UTC(2017,8,11), 15695],
              [ Date.UTC(2017,8,12), 15495],
              [ Date.UTC(2017,8,13), 11848],
              [ Date.UTC(2017,8,14), 9612],
              [ Date.UTC(2017,8,15), 9765],
              [ Date.UTC(2017,8,16), 11730],
              [ Date.UTC(2017,8,17), 12932],
              [ Date.UTC(2017,8,18), 12296],
              [ Date.UTC(2017,8,19), 11230],
            ],
            color: '#AA4643'
          }
        ],
        title: {
          text: ''
        },
        credits: {
          text: 'IT4Innovations 2017-11-14 14:14'
        },
        exporting: {
          enabled: false
        },
        plotOptions: {
          areaspline: {
            fillOpacity: 0.5
          },
          pie: {
            dataLabels: {
              enabled: false
            },
            showInLegend: true
          },
          series: {
            turboThreshold: 0
          },
          line: {
            marker: {
              enabled: false
            }
          }
        },
        xAxis: {
          type: 'datetime',
          title: {
            text: 'Date',
            style: {
              color: '#000000'
            }
          }
        },
        yAxis: {
          min: 0,
          tickInterval: 1000,
          title: {
            text: 'Cores [-]',
            style: {
              color: '#000000'
            }
          }
        },
      }
    "

<!-- -->

 **GET /api/v1/irregular-accounts-to-close**<a name="get--api-v1-irregular-accounts-to-close" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

The special (e.g. training) account expires 31 days after the date when
the last project was finished. This service returns the list of special
accounts which are already after this the expiration date.

Response JSON Object:

 

- **login** (*string*) – account id
- **projectendtime** (*string*) – project end date

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 address is not allowed

**Example request**:

    curl -i https://scs.it4i.cz/api/v1/irregular-accounts-to-close

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    [
      {
        "login": "dd-01",
        "projectendtime": "2009-09-19 23:59:59"
      }
    ]

<!-- -->

 **POST /api/v1/it4ifree/**<span class="sig-paren">(</span>*login*<span class="sig-paren">)</span><a name="post--api-v1-it4ifree-(login)" class="headerlink" title="Permalink to this definition"></a>

A service to check resources of the projects on which the account
participate. If the calculation run on 1 cpu core during 1 hour, it
consumes 1 core-hour from the project resources. However, some
calculations (or their placement) can be cheaper. Actual consumed
core-hours are reduced by a cheaping factor and then deduct from the
project resources. See
<a href="https://docs.it4i.cz/salomon/resources-allocation-policy/#normalized-core-hours-nch" class="uri" class="reference external">https://docs.it4i.cz/salomon/resources-allocation-policy/#normalized-core-hours-nch</a>
for more details about so-called normalized core-hours. The json
response contains two parts:

- **me** – data from projects, where the account has access
- **me_as_pi** – data from projects, where the account is PI (primary
    investigator)

Request JSON Object:

 

- **login** (*string*) – account id
- **it4ifreetoken** (*string*) – token

Response JSON Object:

 

- **login** (*string*) – account id
- **pid** (*string*) – project id
- **pi\_login** (*string*) – account id which is PI
- **days\_left** (*string*) – days to the end of project, **---** if
    project is inactive or not yet started
- **free** (*int*) – free core-hours which can be still consumed
- **total** (*int*) – total core-hours assigned to the project
- **used** (*int*) – actual consumed core-hours
- **used\_with\_factor** (*int*) – consumed normalized core-hours
- **used\_by\_me** (*int*) – core-hours consumed by the account
- **used\_by\_me\_with\_factor** (*int*) – normalized core-hours
    consumed by the account
- **corehours** (*int*) – core-hours consumed by the account
- **core\_hours\_with\_factor** (*int*) – normalized core-hours
    consumed by the account

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – token does not match

**Example request**:

    curl -i -H "Content-Type:application/json" -X POST \
      --data '{"login":"johnsm", "it4ifreetoken": "abc"}' \
      https://scs.it4i.cz/api/v1/it4ifree/johnsm

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    {
      "me": [
        {
          "days_left": "---",
          "free": 17124,
          "login": "johnsm",
          "pid": "DD-13-6",
          "total": 100000,
          "used": 82876,
          "used_by_me": 0,
          "used_by_me_with_factor": 0,
          "used_with_factor":82876
        },
        {
          "days_left": "---",
          "free": 0,
          "login": "johnsm",
          "pid": "DD-14-12",
          "total": 1000,
          "used": 8641,
          "used_by_me": 0,
          "used_by_me_with_factor": 0,
          "used_with_factor": 8641
        }
      ],
      "me_as_pi": [
        {
          "core_hours": 82876,
          "core_hours_with_factor": 82876,
          "login":"abc",
          "pi_login": "johnsm",
          "pid": "DD-13-6"
        },
        {
          "core_hours": 0,
          "core_hours_with_factor": 0,
          "login": "johnsm",
          "pi_login": "johnsm",
          "pid":"DD-13-6"
        }
      ]
    }

<!-- -->

 **GET /api/v1/it4ifreetoken/**<span class="sig-paren">(</span>*login*<span class="sig-paren">)</span><a name="get--api-v1-it4ifreetoken-(login)" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

It returns free token for the account.

Query Parameters:

 

- **login** – account id

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 address is not allowed

**Example request**:

    curl -i https://scs.it4i.cz/api/v1/it4ifreetoken/johnsm

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    {
      "it4ifreetoken": "abc"
    }

<!-- -->

 **GET /api/v1/motd/**<span class="sig-paren">(</span>*category*<span class="sig-paren">)</span><a name="get--api-v1-motd-(category)" class="headerlink" title="Permalink to this definition"></a>

Returns SCS messages of the day.

Query Parameters:

 

- **notice** – returns only notice messages
- **important** – returns only important messages
- **all** – returns all messages

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – invalid requested query parameter

**Example request**:

    curl -i https://scs.it4i.cz/api/v1/motd/notice

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    [
      {
        "author": "svi47",
        "category": "notice",
        "created_at": "2017-10-12 11:44:51",
        "dateEfficiency": "2017-10-12 11:41:00",
        "dateExpiration": "2017-11-28 14:30:00",
        "dateModification": "2017-10-12 13:44:51",
        "deleted_at": null,
        "id": 169,
        "messageBody": "For more information about the course,
          please visit its web page: https://goo.gl/cvFsFH",
        "state": null,
        "title": "Invitation to the Course Productivity Tools
          for High Performance Computing (2017-11-27 to 2017-11-28)",
        "typeMotd": null,
        "updated_at": "2017-10-12 11:44:51"
      }
    ]

<!-- -->

 **GET /api/v1/ping**<a name="get--api-v1-ping" class="headerlink" title="Permalink to this definition"></a>

A service for testing connection to API.

<table>
<tbody>
<tr class="odd">
<td>Status Codes:</td>
<td><ul>
<li><a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a> – no error</li>
</ul></td>
</tr>
</tbody>
</table>

**Example request**:

    curl -i https://scs.it4i.cz/api/v1/ping

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    {
       "message": "pong"
    }

<!-- -->

 **GET /api/v1/quota-extra**<a name="get--api-v1-quota-extra" class="headerlink" title="Permalink to this definition"></a>

Access to this service is restricted to just few source ipv4 addresses.

Returns all accounts which have active filesystem quotas bigger than
standard.

Response JSON Object:

 

- **login** (*string*) – account id
- **system\_name** (*string*) – computer system name
- **filesystem** (*string*) – folder name
- **quota\_gb** (*int*) – disk usage quota for in GB
- **quota\_ki** (*int*) – quota for number of files in thousands
- **expiration** (*string*) – expiration date
- **description** (*string*) – reason for allocation extra quotas

Status Codes:

- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a>
    – no error
- <a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.4.6" class="reference external">405 Method Not Allowed</a>
    – restricted access, your ipv4 is not allowed

**Example request**:

    curl -i curl https://scs.it4i.cz/api/v1/quota-extra

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    [
      {
        "login": "johnsm",
        "system_name": "anselm",
        "filesystem": "HOME",
        "quota_gb": 500,
        "quota_ki": 1500,
        "expiration": "2017-12-31",
        "description": "build SW"

      }
    ]

<!-- -->

 **GET /api/v1/version**<a name="get--api-v1-version" class="headerlink" title="Permalink to this definition"></a>

Returns basic information about API.

<table>
<tbody>
<tr class="odd">
<td>Status Codes:</td>
<td><ul>
<li><a href="http://www.w3.org/Protocols/rfc2616/rfc2616-sec10.html#sec10.2.1" class="reference external">200 OK</a> – no error</li>
</ul></td>
</tr>
</tbody>
</table>

**Example request**:

    curl -i https://scs.it4i.cz/api/v1/version

**Example response**:

    HTTP/1.1 200 OK
    Content-Type: application/json

    {
       "hostname": "scs.it4i.cz",
       "revision": "ceac8aa / 2017-11-01 12:25:27 +0100",
       "version": "0.8.2-34-gceac8aa"
    }

©2017, IT4Innovations. | Powered by [Sphinx
1.5.6](http://sphinx-doc.org/) & [Alabaster
0.7.10](https://github.com/bitprophet/alabaster)
